
default:
  before_script:
    - |
      HELM_RELEASE_NAME="$CI_ENVIRONMENT_SLUG-$CONTAINER_DIR"
      CI_ENVIRONMENT_URL=http://$CI_PROJECT_ID-$CI_ENVIRONMENT_SLUG-$CONTAINER_DIR.$KUBE_INGRESS_BASE_DOMAIN

build:
  before_script:
    - |
      HELM_RELEASE_NAME="$CI_ENVIRONMENT_SLUG-$CONTAINER_DIR"
      CI_ENVIRONMENT_URL=http://$CI_PROJECT_ID-$CI_ENVIRONMENT_SLUG-$CONTAINER_DIR.$KUBE_INGRESS_BASE_DOMAIN
      cd $CONTAINER_DIR

.auto-deploy:
  before_script:
    - |
      HELM_RELEASE_NAME="$CI_ENVIRONMENT_SLUG-$CONTAINER_DIR"
      CI_ENVIRONMENT_URL=http://$CI_PROJECT_ID-$CI_ENVIRONMENT_SLUG-$CONTAINER_DIR.$KUBE_INGRESS_BASE_DOMAIN
      # VERY NAUGHTY HACK - but it seems to only be used for the url mappings in deploy
      CI_PROJECT_ID=$CI_PROJECT_ID-$CONTAINER_DIR

#fragments to merge with built-in autodevops jobs
test:
  stage: test
  image: python:3.7.2-slim
  script:
    - |
      cd $CONTAINER_DIR
      pip install pipenv --upgrade
      pipenv install --deploy --system
      pipenv run pytest

# Also collect license reports as file artifacts so they are exportable later
license_scanning:
  stage: test
  artifacts:
    paths:
      - gl-license-scanning-report.json  
